body {
  font-family: Arial, Helvetica, sans-serif;
  background-color: lightgray;
}
.units p {
  font-weight: bold;
}

.nostyle {
  list-style: none;
}

ul {
  font-weight: bolder;
}
li {
  font-weight: normal;
}
.units .minwidth {
  min-width: 10px;
  width: 50px;
  background-color: green;
  padding: 5px;
  margin: 5px;
}

.units .maxwidth {
  max-width: 200px;
  background-color: yellow;
  padding: 5px;
  margin: 5px;
}

.units .minheight {
  min-height: 2px;
  background-color: red;
  padding: 5px;
  margin: 5px;
}

.units .maxheight {
  max-height: 10px;
  background-color: blue;
  padding: 5px;
  margin: 5px;
}

.viewport .vminClass {
  font-size: 20vmin;
  font-family: Avenir, sans-serif;
  font-weight: 900;
  text-align: center;
}

.viewport .vmaxClass {
  font-size: 20vmax;
  font-family: Avenir, sans-serif;
  font-weight: 900;
  text-align: center;
}

.gradientClass > div {
  max-width: 200px;
  background-image: linear-gradient(red, yellow);
  border: 5px solid;
  border-color: green blue white black;
}

.zindexStyles .div1 {
  background: green;
  position: absolute;
  z-index: 1;
  width: 130px;
  height: 50px;
  top: 30px;
}
.zindexStyles .div2 {
  background: red;
  position: absolute;
  z-index: 2;
  width: 150px;
  height: 60px;
  top: 70px;
}
.zindexStyles .div3 {
  background: yellow;
  position: absolute;
  z-index: 3;
  width: 200px;
  height: 70px;
  top: 100px;
}
.zindexStyles .div4 {
  background: blue;
  position: absolute;
  z-index: 4;
  width: 250px;
  height: 80px;
  top: 120px;
}

.faIconStyles ul {
  list-style: none;
  padding: 0;
}
.faIconStyles li {
  padding-left: 1.3em;
}
.faIconStyles li:before {
  content: "\22C6\A0"; /* FontAwesome Unicode */
  font-family: FontAwesome;
  display: inline-block;
  margin-left: -1.3em; /* same as padding-left set on li */
  width: 1.3em; /* same as padding-left set on li */
}

.formStyles {
  text-align: center;
  padding: 10px;
  border: 1px solid black;
  background-color: blanchedalmond;
  width: 400px;
  position: fixed;
  top: 50%;
  left: 50%;
  margin-top: -100px;
  margin-left: -200px;
}

.formBackground {
  background: url(assets/images/form-image.jfif) no-repeat center;
  -webkit-background-size: cover;
  -moz-background-size: cover;
  -o-background-size: cover;
  background-size: cover;
}

.formStyles input {
  padding: 5px;
  margin: 5px;
  width: 50%;
}
.formStyles button {
  background-color: #4caf50; /* Green */
  border: none;
  color: white;
  padding: 10px 16px;
  margin: 20px 10px;
  text-align: center;
  text-decoration: none;
  display: inline-block;
  font-size: 15px;
  width: 50%;
}

.flexStyles .flex-sample-row {
  display: flex;
  background-color: red;
  flex-direction: row;
}
.flexStyles .flex-sample-column {
  display: flex;
  background-color: greenyellow;
  flex-direction: column;
}
.flexStyles .flex-sample-row > div {
  background-color: #f1f1f1;
  margin: 10px;
  padding: 20px;
  font-size: 30px;
}

.flexStyles .flex-sample-column > div {
  background-color: blue;
  margin: 10px;
  padding: 20px;
  font-size: 30px;
  width: 70px;
}

.gridStyles .grid-sample {
  display: grid;
  grid-template-columns: auto auto auto;
  background: blueviolet;
  margin: 5px;
  padding: 10px;
}

.gridStyles .grid-sample > div {
  background: white;
  margin: 5px;
  padding: 10px;
}

.gridStyles .grid-sample .test {
  display: grid;
  grid-template-areas: auto auto;
  grid-row: 1/3;
}

.box-border {
  border: 2px solid green;
  padding: 5px;
}

.nav {
  position: relative;
  display: inline-block;
  font-size: 14px;
  font-weight: 900;
}
.nav-list {
  list-style: none;
}
.nav-item {
  float: left;
  *display: inline;
  zoom: 1;
}
.nav-item a {
  display: block;
  padding: 15px 20px;
  color: #fff;
  background: #34495e;
}
.nav-item:first-child a {
  border-radius: 5px 0 0 5px;
}
.nav-item:last-child a {
  border-radius: 0 5px 5px 0;
}
.nav-item a:hover {
  background: #2c3e50;
}

@media only screen and (min-width: 320px) and (max-width: 768px) {
  .nav {
    width: 100%;
  }
  .nav-item {
    width: 100%;
    float: none;
  }
}

.animationStyles {
  display: flex;
  justify-content: center;
}

.ball {
  width: 100px;
  height: 100px;
  border-radius: 50%;
  background-color: #ff5722;
  animation: bounce 0.5s;
  animation-direction: alternate;
  animation-timing-function: cubic-bezier(0.5, 0.05, 1, 0.5);
  animation-iteration-count: 6;
}

@keyframes bounce {
  from {
    transform: translate3d(0, 0, 0);
  }
  to {
    transform: translate3d(0, 200px, 0);
  }
}

@-webkit-keyframes bounce {
  from {
    -webkit-transform: translate3d(0, 0, 0);
    transform: translate3d(0, 0, 0);
  }
  to {
    -webkit-transform: translate3d(0, 200px, 0);
    transform: translate3d(0, 200px, 0);
  }
}
